# Uses of Enum Class
org.apache.sysds.lops.Lop.Type

Packages that use Lop.Type
Package
Description
org.apache.sysds.lops
org.apache.sysds.parser

## Uses of Lop.Type in org.apache.sysds.lops

Methods in org.apache.sysds.lops that return Lop.Type
Modifier and Type
Method
Description
`Lop.Type`
Lop.`getType()`
Method to get Lop type.
`static Lop.Type`
Lop.Type.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Lop.Type[]`
Lop.Type.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Constructors in org.apache.sysds.lops with parameters of type Lop.Type
Modifier
Constructor
Description
``
`Lop(Lop.Type t, Types.DataType dt, Types.ValueType vt)`
Constructor to be invoked by base class.

## Uses of Lop.Type in org.apache.sysds.parser

Methods in org.apache.sysds.parser that return types with arguments of type Lop.Type
Modifier and Type
Method
Description
`HashMap<Lop.Type,List<Lop.Type>>`
StatementBlock.`getCheckpointPositions()`
`HashMap<Lop.Type,List<Lop.Type>>`
StatementBlock.`getCheckpointPositions()`